RNAALIFOLD(1)

NAME
RNAalifold - manual page for RNAalifold 2.2.8

SYNOPSIS
RNAalifold [options] <file1.aln>

DESCRIPTION
RNAalifold 2.2.8

calculate secondary structures for a set of aligned RNAs

Read aligned RNA sequences from stdin or file.aln and calculate their minimum free energy (mfe) structure, partition function (pf) and base pairing probability matrix. Currently, the input alignment has to be in CLUSTAL format. It returns the mfe structure in bracket notation, its energy, the free energy of the thermodynamic ensemble and the frequency of the mfe structure in the ensemble to stdout. It also produces Postscript files with plots of the resulting secondary structure graph ("alirna.ps") and a "dot plot" of the base pairing matrix ("alidot.ps"). The file "alifold.out" will contain a list of likely pairs sorted by credibility, suitable for viewing with "AliDot.pl". Be warned that output file will overwrite any existing files of the same name.

-h, --help
    Print help and exit

--detailed-help
    Print help, including all details and hidden options, and exit

--full-help
    Print help, including hidden options, and exit

-V, --version
    Print version and exit

  General Options:

    Below are command line options which alter the general behavior of this program

-v, --verbose
    Be verbose (default=off)

--color
    Produce a colored version of the consensus strcture plot "alirna.ps" (default b&w only)

    (default=off)

--aln
    Produce a colored and structure annotated alignment in PostScript format in the file "aln.ps" in the current directory.

    (default=off)

--noPS
    Do not produce postscript output

    (default=off)

-t, --layout-type=INT
    Choose the layout algorithm. Simple radial layout if 0, or naview if 1

    (default=`1')

-o, --outfile-prefix=prefix
    Prefix of output file names

    If this parameter is set, the output files will be prefixed by the provided string. Hence, the output files will obey the following naming convention: "prefix_ss.ps" (secondary structure plot), "prefix_dp.ps" (dot-plot), "prefix_aln.ps" (annotated alignment), and "prefix_ali.out" (list of likely pairs).

  Structure Constraints:

    Command line options to interact with the structure constraints feature of this program

--maxBPspan=INT
    Set the maximum base pair span (default=`-1')

-C, --constraint[=filename]
    Calculate structures subject to constraints. The constraining structure will be read from 'stdin', the alignment has to be given as a file name on the command line.

    (default=`')

    The program reads first the sequence, then a string containing constraints on the structure encoded with the symbols:

    . (no constraint for this base)

    | (the corresponding base has to be paired

    x (the base is unpaired)

    < (base i is paired with a base j>i)

    > (base i is paired with a base j<i)

    and matching brackets ( ) (base i pairs base j)

    With the exception of "|", constraints will disallow all pairs conflicting with the constraint. This is usually sufficient to enforce the constraint, but occasionally a base may stay unpaired in spite of constraints. PF folding ignores constraints of type "|".

--shape=file1,file2
    Use SHAPE reactivity data to guide structure predictions

    Multiple shapefiles for the individual sequences in the alignment may be specified as a comma separated list. An optional association of particular shape files to a specific sequence in the alignment can be expressed by prepending the sequence number to the filename, e.g. "5=seq5.shape,3=seq3.shape" will assign the reactivity values from file seq5.shape to the fifth sequence in the alignment, and the values from file seq3.shape to sequence 3. If no assignment is specified, the reactivity values are assigned to corresponding sequences in the order they are given.

--shapeMethod=D[mX][bY]
    Specify the method how to convert SHAPE reactivity data to pseudo energy contributions

    Currently, the only data conversion method available is that of to Deigan et al 2009. This method is the default and is recognized by a capital 'D' in the provided parameter, i.e.: --shapeMethod="D" is the default setting. The slope 'm' and the intercept 'b' can be set to a non-default value if necessary. Otherwise m=1.8 and b=-0.6 as stated in the paper mentionen before. To alter these parameters, e.g. m=1.9 and b=-0.7, use a parameter string like this: --shapeMethod="Dm1.9b-0.7". You may also provide only one of the two parameters like: --shapeMethod="Dm1.9" or --shapeMethod="Db-0.7".

  Algorithms:

    Select additional algorithms which should be included in the calculations. The Minimum free energy (MFE) and a structure representative are calculated in any case.

-p, --partfunc[=INT]
    Calculate the partition function and base pairing probability matrix in addition to the mfe structure. Default is calculation of mfe structure only.

    (default=`1')

    In addition to the MFE structure we print a coarse representation of the pair probabilities in form of a pseudo bracket notation, followed by the ensemble free energy, as well as the centroid structure derived from the pair probabilities together with its free energy and distance to the ensemble. Finally it prints the frequency of the mfe structure.

    An additionally passed value to this option changes the behavior of partition function calculation: -p0 deactivates the calculation of the pair probabilities, saving about 50% in runtime. This prints the ensemble free energy -kT ln(Z).

--MEA[=gamma]
    Calculate an MEA (maximum expected accuracy) structure.

    (default=`1.')

    If gamma is not specified a default of gamma=1 is used. Using --MEA implies -p See also RNAfold man page for details.

--mis
    Output "most informative sequence" instead of simple consensus: For each column of the alignment output the set of nucleotides with frequence greater than average in IUPAC notation.

    (default=off)

-s, --stochBT=INT
    Stochastic backtrack. Compute a certain number of random structures with a probability dependend on the partition function. See -p option in RNAsubopt.

--stochBT_en=INT
    same as "-s" but also print out the energies and probabilities of the backtraced structures.

-S, --pfScale=scaling factor
    In the calculation of the pf use scale*mfe as an estimate for the ensemble free energy (used to avoid overflows).

    The default is 1.07, useful values are 1.0 to 1.2. Occasionally needed for long sequences. You can also recompile the program to use double precision (see the README file).

-c, --circ
    Assume a circular (instead of linear) RNA molecule.

    (default=off)

--bppmThreshold=<value>
    Set the threshold for base pair probabilities included in the postscript output

    (default=`1e-6')

    By setting the threshold the base pair probabilities that are included in the output can be varied. By default only those exceeding 1e-5 in probability will be shown as squares in the dot plot. Changing the threshold to any other value allows for increase or decrease of data.

-g, --gquad
    Incoorporate G-Quadruplex formation into the structure prediction algorithm

    (default=off)

--sci
    Compute the structure conservation index (SCI) for the MFE consensus structure of the alignment

    (default=off)

  Model Details:

-T, --temp=DOUBLE
    Rescale energy parameters to a temperature of temp C. Default is 37C.

-4, --noTetra
    Do not include special tabulated stabilizing energies for tri-, tetra- and hexaloop hairpins. Mostly for testing.

    (default=off)

-d, --dangles=INT
    How to treat "dangling end" energies for bases adjacent to helices in free ends and multi-loops

    (default=`2')

    With -d2 dangling energies will be added for the bases adjacent to a helix on both sides

    in any case.

    The option -d0 ignores dangling ends altogether (mostly for debugging).

--noLP
    Produce structures without lonely pairs (helices of length 1).

    (default=off)

    For partition function folding this only disallows pairs that can only occur isolated. Other pairs may still occasionally occur as helices of length 1.

--noGU
    Do not allow GU pairs

    (default=off)

--noClosingGU
    Do not allow GU pairs at the end of helices

    (default=off)

--cfactor=DOUBLE
    Set the weight of the covariance term in the energy function

    (default=`1.0')

--nfactor=DOUBLE
    Set the penalty for non-compatible sequences in the covariance term of the energy function

    (default=`1.0')

-E, --endgaps
    Score pairs with endgaps same as gap-gap pairs.

    (default=off)

-R, --ribosum_file=ribosumfile
    use specified Ribosum Matrix instead of normal

energy model. Matrixes to use should be 6x6
    matrices, the order of the terms is AU, CG, GC, GU, UA, UG.

-r, --ribosum_scoring
    use ribosum scoring matrix. The matrix is chosen according to the minimal and maximal pairwise identities of the sequences in the file.

    (default=off)

--old
    use old energy evaluation, treating gaps as characters.

    (default=off)

-P, --paramFile=paramfile
    Read energy parameters from paramfile, instead of using the default parameter set.

    A sample parameter file should accompany your distribution. See the RNAlib documentation for details on the file format.

--nsp=STRING
    Allow other pairs in addition to the usual AU,GC,and GU pairs.

    Its argument is a comma separated list of additionally allowed pairs. If the first character is a "-" then AB will imply that AB and BA are allowed pairs. e.g. RNAfold -nsp -GA will allow GA and AG pairs. Nonstandard pairs are given 0 stacking energy.

-e, --energyModel=INT
    Rarely used option to fold sequences from the artificial ABCD... alphabet, where A pairs B, C-D etc. Use the energy parameters for GC (-e 1) or AU (-e 2) pairs.

--betaScale=DOUBLE
    Set the scaling of the Boltzmann factors (default=`1.')

    The argument provided with this option enables to scale the thermodynamic temperature used in the Boltzmann factors independently from the temperature used to scale the individual energy contributions of the loop types. The Boltzmann factors then become exp(-dG/(kTn*betaScale)) where k is the Boltzmann constant, dG the free energy contribution of the state, T the absolute temperature and n the number of sequences.

Caveats:

Sequences are not weighted. If possible, do not mix very similar and dissimilar sequences. Duplicate sequences, for example, can distort the prediction.

REFERENCES
If you use this program in your work you might want to cite: R. Lorenz, S.H. Bernhart, C. Hoener zu Siederdissen, H. Tafer, C. Flamm, P.F. Stadler and I.L. Hofacker (2011), "ViennaRNA Package 2.0", Algorithms for Molecular Biology: 6:26 I.L. Hofacker, W. Fontana, P.F. Stadler, S. Bonhoeffer, M. Tacker, P. Schuster (1994), "Fast Folding and Comparison of RNA Secondary Structures", Monatshefte f. Chemie: 125, pp 167-188 The algorithm is a variant of the dynamic programming algorithms of M. Zuker and P. Stiegler (mfe) and J.S. McCaskill (pf) adapted for sets of aligned sequences with covariance information. Ivo L. Hofacker, Martin Fekete, and Peter F. Stadler (2002), "Secondary Structure Prediction for Aligned RNA Sequences", J.Mol.Biol.: 319, pp 1059-1066. Stephan H. Bernhart, Ivo L. Hofacker, Sebastian Will, Andreas R. Gruber, and Peter F. Stadler (2008), "RNAalifold: Improved consensus structure prediction for RNA alignments", BMC Bioinformatics: 9, pp 474 The energy parameters are taken from: D.H. Mathews, M.D. Disney, D. Matthew, J.L. Childs, S.J. Schroeder, J. Susan, M. Zuker, D.H. Turner (2004), "Incorporating chemical modification constraints into a dynamic programming algorithm for prediction of RNA secondary structure", Proc. Natl. Acad. Sci. USA: 101, pp 7287-7292 D.H Turner, D.H. Mathews (2009), "NNDB: The nearest neighbor parameter database for predicting stability of nucleic acid secondary structure", Nucleic Acids Research: 38, pp 280-282

AUTHOR
Ivo L Hofacker, Stephan Bernhart, Ronny Lorenz

REPORTING BUGS
If in doubt our program is right, nature is at fault. Comments should be sent to rna@tbi.univie.ac.at.

SEE ALSO
The ALIDOT package http://www.tbi.univie.ac.at/RNA/ALIDOT/